codecov:
  notify:
    require_ci_to_pass: true
comment: off
ignore:
  - "Doc/**/*"
  - "Misc/*"
  - "Mac/**/*"
  - "PC/**/*"
  - "PCbuild/**/*"
  - "Tools/**/*"
  - "Grammar/*"
coverage:
  precision: 2
  range:
  - 70.0
  - 100.0
  round: down
  status:
    changes: off
    project: off
    patch:
      default:
        target: 100%
        only_pulls: true
        threshold: 0.05
parsers:
  gcov:
    branch_detection:
      conditional: true
      loop: true
      macro: false
      method: false
  javascript:
    enable_partials: false
